CREATE DATABASE  IF NOT EXISTS `firmenwagen` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */;
USE `firmenwagen`;
-- MySQL dump 10.13  Distrib 8.0.25, for Win64 (x86_64)
--
-- Host: localhost    Database: firmenwagen
-- ------------------------------------------------------
-- Server version	8.0.12

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `fahrzeug`
--

DROP TABLE IF EXISTS `fahrzeug`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `fahrzeug` (
  `ID` int(11) NOT NULL,
  `Kennzeichen` varchar(11) NOT NULL,
  `Anschaffungsdatum` date DEFAULT NULL,
  `Anschaffungskosten` decimal(9,2) DEFAULT NULL,
  `Fahrzeugmodell_ID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Fahrzeugmodell_ID` (`Fahrzeugmodell_ID`),
  CONSTRAINT `fahrzeug_ibfk_1` FOREIGN KEY (`Fahrzeugmodell_ID`) REFERENCES `fahrzeugmodell` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fahrzeug`
--

LOCK TABLES `fahrzeug` WRITE;
/*!40000 ALTER TABLE `fahrzeug` DISABLE KEYS */;
INSERT INTO `fahrzeug` VALUES (1,'HN-A-1783','2024-11-10',20590.00,7),(2,'HN-AB-45','2023-03-27',24500.00,3),(3,'HN-AR-12','2024-02-08',27200.00,3),(4,'HN-D-1473','2024-03-21',26300.00,3),(5,'HN-UF-456','2024-04-17',19890.00,7),(6,'TBB-A-678','2025-04-17',25650.00,2),(7,'TBB-AB-123','2024-03-28',28600.00,2),(8,'TBB-AB-234','2024-02-08',28600.00,6),(9,'TBB-D-9781','2024-03-21',29700.00,1),(10,'TBB-DE-713','2024-01-24',30450.00,1),(11,'TBB-DR-100','2023-05-17',28600.00,5),(12,'TBB-F-1732','2024-02-09',27200.00,1),(13,'TBB-F-2739','2024-03-27',25650.00,1),(14,'TBB-L-4792','2025-03-27',30500.00,1),(15,'TBB-R-1427','2024-03-27',25650.00,2),(16,'WÜ-A-2435','2024-02-09',29850.00,4),(17,'WÜ-ZZ-456','2023-11-23',30200.00,3);
/*!40000 ALTER TABLE `fahrzeug` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fahrzeugmodell`
--

DROP TABLE IF EXISTS `fahrzeugmodell`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `fahrzeugmodell` (
  `ID` int(11) NOT NULL,
  `Hersteller` varchar(30) DEFAULT NULL,
  `Bezeichnung` varchar(30) DEFAULT NULL,
  `Kraftstoff` varchar(30) DEFAULT NULL,
  `Verbrauch` double(6,2) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fahrzeugmodell`
--

LOCK TABLES `fahrzeugmodell` WRITE;
/*!40000 ALTER TABLE `fahrzeugmodell` DISABLE KEYS */;
INSERT INTO `fahrzeugmodell` VALUES (1,'VW','Passat 2.0 TDI','Diesel',6.40),(2,'Mercedes','C200 CDI','Diesel',6.10),(3,'BMW','320i','Super-Bleifrei',7.30),(4,'VW','Polo 1.4 TDI','Diesel',4.50),(5,'VW','Golf 1.9 TDI','Diesel',5.00),(6,'BMW','320d Touring','Diesel',5.90),(7,'Mercedes','160 CDI','Diesel',5.00);
/*!40000 ALTER TABLE `fahrzeugmodell` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instandhaltung`
--

DROP TABLE IF EXISTS `instandhaltung`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `instandhaltung` (
  `ID` int(11) NOT NULL,
  `Datum` date DEFAULT NULL,
  `KmStand` int(10) unsigned DEFAULT NULL,
  `Kosten` decimal(9,2) NOT NULL,
  `Beschreibung` varchar(50) NOT NULL,
  `Fahrzeug_ID` int(11) NOT NULL,
  PRIMARY KEY (`ID`) USING BTREE,
  KEY `Fahrzeug_ID` (`Fahrzeug_ID`),
  CONSTRAINT `instandhaltung_ibfk_1` FOREIGN KEY (`Fahrzeug_ID`) REFERENCES `fahrzeug` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instandhaltung`
--

LOCK TABLES `instandhaltung` WRITE;
/*!40000 ALTER TABLE `instandhaltung` DISABLE KEYS */;
INSERT INTO `instandhaltung` VALUES (1,'2023-02-08',10000,345.00,'Ölwechsel',7),(2,'2024-08-12',35000,670.00,'Bremsscheibenwechsel',5),(3,'2024-08-24',20000,24.50,'Wechsel Wischerblätter',8),(4,'2024-01-26',6000,345.00,'Ölwechsel',11),(5,'2024-09-01',17500,324.00,'Inspektion',14),(6,'2024-11-13',27000,450.00,'Neue Reifen',7),(7,'2024-12-15',34000,320.00,'Inspektion',11);
/*!40000 ALTER TABLE `instandhaltung` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mitarbeiter`
--

DROP TABLE IF EXISTS `mitarbeiter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mitarbeiter` (
  `ID` int(11) NOT NULL,
  `PersNr` varchar(11) DEFAULT NULL,
  `Nachname` varchar(30) DEFAULT NULL,
  `Vorname` varchar(30) DEFAULT NULL,
  `Gehalt` decimal(8,2) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mitarbeiter`
--

LOCK TABLES `mitarbeiter` WRITE;
/*!40000 ALTER TABLE `mitarbeiter` DISABLE KEYS */;
INSERT INTO `mitarbeiter` VALUES (1,'123-7946-12','Wagner','Max',2000.00),(2,'123-3246-13','Schmidt','Andreas',3000.00),(3,'123-4521-53','Albrecht','Anja',2000.00),(4,'245-2234-64','Sommer','Eva',5000.00),(5,'245-5345-25','Müller','Max',3000.00),(6,'245-7576-53','Haller','Dieter',4000.00),(7,'567-8674-46','Baumgartner','Heinz',6000.00),(8,'567-5645-56','Schneider','Ulrich',7000.00),(9,'245-6575-78','Wiedemer','Lothar',9000.00),(10,'123-8758-45','Müller','Peter',8000.00),(11,'742-9648-92','Lutz','Andreas',4000.00),(12,'742-5825-57','Kuntz','Martin',3000.00),(13,'853-3465-76','Mayer','Anton',2000.00),(14,'853-6363-15','Maier','Simone',6000.00),(15,'468-2463-45','Maurer','Tobias',7000.00),(16,'523-4533-12','Maler','Sonja',8000.00);
/*!40000 ALTER TABLE `mitarbeiter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reservierung`
--

DROP TABLE IF EXISTS `reservierung`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `reservierung` (
  `ID` int(11) NOT NULL,
  `Zweck` varchar(50) DEFAULT NULL,
  `Beginn` date DEFAULT NULL,
  `Ende` date DEFAULT NULL,
  `Mitarbeiter_ID` int(11) NOT NULL,
  `Fahrzeug_ID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Mitarbeiter_ID` (`Mitarbeiter_ID`),
  KEY `Fahrzeug_ID` (`Fahrzeug_ID`),
  CONSTRAINT `reservierung_ibfk_1` FOREIGN KEY (`Mitarbeiter_ID`) REFERENCES `mitarbeiter` (`id`),
  CONSTRAINT `reservierung_ibfk_2` FOREIGN KEY (`Fahrzeug_ID`) REFERENCES `fahrzeug` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `reservierung`
--

LOCK TABLES `reservierung` WRITE;
/*!40000 ALTER TABLE `reservierung` DISABLE KEYS */;
INSERT INTO `reservierung` VALUES (1,'Geschäftsreise','2024-02-08','2024-02-12',3,12),(2,'Kongress','2024-02-09','2024-02-09',4,6),(3,'Kundenbesuch','2024-02-09','2024-02-10',10,13),(4,'Kongress','2024-02-09','2024-02-10',4,9),(5,'Kundenbesuch','2024-02-09','2024-02-10',4,8),(6,'Kundenbesuch','2024-02-09','2024-02-10',1,14),(7,'Messe','2024-02-10','2024-02-10',10,6),(8,'Geschäftsreise','2024-02-13','2024-02-14',7,13),(9,'Messe','2024-02-14','2024-02-14',4,8),(10,'Werkstatt - Inspektion','2024-02-14','2024-02-15',8,13),(11,'Messe','2024-02-14','2024-02-14',1,14),(12,'Geschäftsreise','2024-02-18','2024-02-25',4,6),(13,'Messe','2024-02-22','2024-02-23',3,14),(14,'Geschäftsreise','2024-02-25','2024-02-27',4,6),(15,'Werkstatt - Inspektion','2024-03-04','2024-03-16',8,5),(16,'Messe','2024-03-06','2024-03-07',7,13),(17,'Kongress','2024-03-09','2024-03-10',4,13),(18,'Geschäftsreise','2024-03-10','2024-03-10',3,9),(19,'Geschäftsreise','2024-03-13','2024-03-14',7,6),(20,'Geschäftsreise','2024-03-14','2024-03-15',4,9),(21,'Geschäftsreise','2024-03-15','2024-03-16',3,11),(22,'Kundenbesuch','2024-03-18','2024-03-21',10,5),(23,'Kundenbesuch','2024-03-21','2024-03-22',7,14),(24,'Geschäftsreise','2024-03-24','2024-03-25',10,13),(25,'Kundenbesuch','2024-04-01','2024-04-01',10,16),(26,'Messe','2024-04-04','2024-04-05',1,5),(27,'Geschäftsreise','2024-04-04','2024-04-05',6,17),(28,'Kundenbesuch','2024-04-04','2024-04-05',10,2),(29,'Messe','2024-04-04','2024-04-04',6,11),(30,'Geschäftsreise','2024-04-04','2024-04-04',1,11),(31,'Geschäftsreise','2024-04-15','2024-04-16',7,14),(32,'Kundenbesuch','2024-04-16','2024-04-17',7,4),(33,'Geschäftsreise','2024-04-17','2024-04-19',4,9),(34,'Kundenbesuch','2024-04-17','2024-04-19',10,14),(35,'Kundenbesuch','2024-05-09','2024-05-10',7,16),(36,'Kundenbesuch','2024-05-09','2024-05-10',7,13),(37,'Messe','2024-05-09','2024-05-10',1,11),(38,'Kundenbesuch','2024-07-09','2024-07-10',7,8),(39,'Geschäftsreise','2024-09-12','2024-09-13',4,14),(40,'Kundenbesuch','2024-09-17','2024-09-18',7,8),(41,'Kundenbesuch','2024-09-17','2024-09-18',7,14),(42,'Werkstatt - Inspektion','2024-09-25','2024-09-26',8,10),(43,'Geschäftsreise','2024-09-25','2024-09-26',3,17),(44,'Kundenbesuch','2024-12-03','2024-12-04',10,4),(45,'Messe','2025-01-16','2025-01-17',4,17),(46,'Geschäftsreise','2025-01-16','2025-01-17',1,16),(47,'Werkstatt - Inspektion','2025-01-16','2025-01-17',8,3),(48,'Geschäftsreise','2025-01-16','2025-01-17',4,14),(49,'Kundenbesuch','2025-01-16','2025-01-17',10,15),(50,'Kundenbesuch','2025-02-27','2025-02-28',7,17),(51,'Kundenbesuch','2025-02-27','2025-02-28',3,8),(52,'Geschäftsreise','2025-02-27','2025-02-28',7,7),(53,'Kundenbesuch','2025-03-01','2025-03-02',10,11);
/*!40000 ALTER TABLE `reservierung` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `versicherungsgesellschaft`
--

DROP TABLE IF EXISTS `versicherungsgesellschaft`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `versicherungsgesellschaft` (
  `ID` int(11) NOT NULL,
  `Firma` varchar(30) DEFAULT NULL,
  `Strasse` varchar(30) DEFAULT NULL,
  `HausNr` varchar(5) DEFAULT NULL,
  `PLZ` varchar(5) DEFAULT NULL,
  `Ort` varchar(30) DEFAULT NULL,
  `Telefon` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `versicherungsgesellschaft`
--

LOCK TABLES `versicherungsgesellschaft` WRITE;
/*!40000 ALTER TABLE `versicherungsgesellschaft` DISABLE KEYS */;
INSERT INTO `versicherungsgesellschaft` VALUES (1,'HUK-COBURG-Allgemeine Versiche','Ludwigstraße','20a','97066','Würzburg','0180/2153153'),(2,'HDI Versicherung AG','Friedensplatz','11','74072','Heilbronn','07131/991550'),(3,'Allianz SE','Neuer Weg','2','70174','Stuttgart','0711/126434'),(4,'ERGO Group AG','ERGO-Platz','1','40198','Düsseldorf','0211/4777100');
/*!40000 ALTER TABLE `versicherungsgesellschaft` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `versicherungsvertrag`
--

DROP TABLE IF EXISTS `versicherungsvertrag`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `versicherungsvertrag` (
  `ID` int(11) NOT NULL,
  `VersNr` varchar(8) DEFAULT NULL,
  `Beitrag` decimal(9,2) DEFAULT NULL,
  `Kasko` varchar(30) DEFAULT NULL,
  `Gesellschaft_ID` int(11) NOT NULL,
  `Fahrzeug_ID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Fahrzeug_ID` (`Fahrzeug_ID`),
  KEY `Gesellschaft_ID` (`Gesellschaft_ID`),
  CONSTRAINT `versicherungsvertrag_ibfk_1` FOREIGN KEY (`Fahrzeug_ID`) REFERENCES `fahrzeug` (`id`),
  CONSTRAINT `versicherungsvertrag_ibfk_2` FOREIGN KEY (`Gesellschaft_ID`) REFERENCES `versicherungsgesellschaft` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `versicherungsvertrag`
--

LOCK TABLES `versicherungsvertrag` WRITE;
/*!40000 ALTER TABLE `versicherungsvertrag` DISABLE KEYS */;
INSERT INTO `versicherungsvertrag` VALUES (1,'694-2247',345.00,'Teilkasko',2,2),(2,'971-9435',650.00,'Vollkasko',1,3),(3,'937-1239',640.00,'Vollkasko',1,4),(4,'368-7914',670.00,'Vollkasko',2,5),(5,'176-6875',680.00,'Vollkasko',1,6),(6,'167-9814',700.00,'Vollkasko',3,7),(7,'673-8467',710.00,'Vollkasko',3,8),(8,'125-7932',730.00,'Vollkasko',1,9),(9,'954-6871',690.00,'Vollkasko',1,10),(10,'367-5874',360.00,'Teilkasko',1,11),(11,'284-6485',635.00,'Vollkasko',1,12),(12,'147-8524',660.00,'Vollkasko',2,13),(13,'258-9713',690.00,'Vollkasko',1,14),(14,'567-6482',680.00,'Vollkasko',2,15),(15,'287-5713',700.00,'Vollkasko',3,16),(16,'917-3481',710.00,'Vollkasko',2,17),(17,'678-5874',750.00,'Vollkasko',3,1);
/*!40000 ALTER TABLE `versicherungsvertrag` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-02-08 10:59:06
